OpenNMS API 1.2.9

## org.opennms.web.admin.users.parsers
Class UserInfo

    java.lang.Object
      org.opennms.web.admin.users.parsers.UserInfo

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Use the User class instead

public class UserInfo
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing the information on a user. This information is stored in the users.xml file and is manipulated via the "Users, Groups and Views" screen.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.lang.String` `m_fullName` Deprecated. The full name of the user
`private NotificationInfo` `m_notifInfo` Deprecated. The notification information for the user
`private java.lang.String` `m_password` Deprecated. The password for the user
`private java.lang.String` `m_userComments` Deprecated. The comments associated with the user
`private java.lang.String` `m_userId` Deprecated. The user id

Constructor Summary
`UserInfo()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`java.lang.Object` `clone()` Deprecated.
`boolean` `comparePasswords(java.lang.String aPassword)` Deprecated. This method compares two encrypted strings for equality
`static java.lang.String` `encryptPassword(java.lang.String aPassword)` Deprecated. This method encrypts the password using MD5 hashing.
`java.lang.String` `getFullName()` Deprecated. Returns the full name of this user
`NotificationInfo` `getNotificationInfo()` Deprecated. Returns the notification information for this user
`java.lang.String` `getPassword()` Deprecated. Returns the password for this user
`java.lang.String` `getUserComments()` Deprecated. Returns the user comments for this user
`java.lang.String` `getUserId()` Deprecated. Returns the user id for this user
`private static java.lang.String` `hexToString(byte[] data)` Deprecated. Converts a byte array into a hexadecimal String representation.
`void` `setEncryptedPassword(java.lang.String aPassword)` Deprecated. Sets the password for this user, assuming that the value passed in is already encrypted properly
`void` `setFullName(java.lang.String aFullName)` Deprecated. Sets the full name for this user
`void` `setNotificationInfo(NotificationInfo someInfo)` Deprecated. Sets the notificaton information for this user
`void` `setUnencryptedPassword(java.lang.String aPassword)` Deprecated. Sets the password for this user, first encrypting it
`void` `setUserComments(java.lang.String someUserComments)` Deprecated. Sets the user comments for this user
`void` `setUserId(java.lang.String aUserId)` Deprecated. Sets the user id for this user
`java.lang.String` `toString()` Deprecated. Returns a String representation of the user info, used primarily for debugging purposes.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_userId

    private java.lang.String m_userId

  Deprecated.
  The user id

### m_fullName

    private java.lang.String m_fullName

  Deprecated.
  The full name of the user

### m_userComments

    private java.lang.String m_userComments

  Deprecated.
  The comments associated with the user

### m_password

    private java.lang.String m_password

  Deprecated.
  The password for the user

### m_notifInfo

    private NotificationInfo m_notifInfo

  Deprecated.
  The notification information for the user

Constructor Detail

### UserInfo

    public UserInfo()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### getNotificationInfo

    public NotificationInfo getNotificationInfo()

  Deprecated.
  Returns the notification information for this user

  Returns:
    the notification info

### setNotificationInfo

    public void setNotificationInfo(NotificationInfo someInfo)

  Deprecated.
  Sets the notificaton information for this user

  Parameters:
    `someInfo` - the notification info

### setUserId

    public void setUserId(java.lang.String aUserId)

  Deprecated.
  Sets the user id for this user

  Parameters:
    `aUserId` - the user id

### getUserId

    public java.lang.String getUserId()

  Deprecated.
  Returns the user id for this user

  Returns:
    the user id

### setFullName

    public void setFullName(java.lang.String aFullName)

  Deprecated.
  Sets the full name for this user

  Parameters:
    `aFullName` - the full name

### getFullName

    public java.lang.String getFullName()

  Deprecated.
  Returns the full name of this user

  Returns:
    the full name

### setUserComments

    public void setUserComments(java.lang.String someUserComments)

  Deprecated.
  Sets the user comments for this user

  Parameters:
    `someUserComments` - the user comments

### getUserComments

    public java.lang.String getUserComments()

  Deprecated.
  Returns the user comments for this user

  Returns:
    the user comments

### setEncryptedPassword

    public void setEncryptedPassword(java.lang.String aPassword)

  Deprecated.
  Sets the password for this user, assuming that the value passed in is already encrypted properly

  Parameters:
    `aPassword` - the encrypted password

### setUnencryptedPassword

    public void setUnencryptedPassword(java.lang.String aPassword)
                                throws java.lang.IllegalStateException

  Deprecated.
  Sets the password for this user, first encrypting it

  Parameters:
    `aPassword` - the password
  Throws:
    `java.lang.IllegalStateException`

### encryptPassword

    public static java.lang.String encryptPassword(java.lang.String aPassword)
                                            throws java.lang.IllegalStateException

  Deprecated.
  This method encrypts the password using MD5 hashing.

  Parameters:
    `aPassword` - the password to encrypt
  Returns:
    the MD5 hash of the password, or null if the encryption fails
  Throws:
    `java.lang.IllegalStateException`

### hexToString

    private static java.lang.String hexToString(byte[] data)

  Deprecated.
  Converts a byte array into a hexadecimal String representation. The byte array must have an even number of elements (otherwise it would not be convertable to a valid String).

  Parameters:
    `data` - Array containing the bytes to convert
  Returns:
    the converted string, or null if encoding failed

### comparePasswords

    public boolean comparePasswords(java.lang.String aPassword)

  Deprecated.
  This method compares two encrypted strings for equality

  Parameters:
    `aPassword` - the password to check for equality
  Returns:
    true if the two passwords are equal (after encryption), false otherwise

### getPassword

    public java.lang.String getPassword()

  Deprecated.
  Returns the password for this user

  Returns:
    String, the password for the user

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the user info, used primarily for debugging purposes.

  Returns:
    String, a string representation

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.